Bug 91775 - update HTMLMediaElement to the new OO MediaSource API
Summary: update HTMLMediaElement to the new OO MediaSource API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anna Cavender
URL:
Keywords:
Depends on: 93336
Blocks: 90819
  Show dependency treegraph
 
Reported: 2012-07-19 12:42 PDT by Anna Cavender
Modified: 2012-08-08 11:39 PDT (History)
7 users (show)

See Also:


Attachments
Patch (79.79 KB, patch)
2012-08-06 11:01 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-08 (321.68 KB, application/zip)
2012-08-06 17:17 PDT, WebKit Review Bot
no flags Details
Patch for landing (81.28 KB, patch)
2012-08-06 21:09 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff
fixed a reference error (89.15 KB, patch)
2012-08-07 20:36 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff
Patch for landing (89.15 KB, patch)
2012-08-08 10:17 PDT, Anna Cavender
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anna Cavender 2012-07-19 12:42:52 PDT
This patch will rip out the old-style MediaSource API and allow a MediaSource object to be attached to HTMLMediaElement.
http://dvcs.w3.org/hg/html-media/raw-file/tip/media-source/media-source.html
Comment 1 Anna Cavender 2012-08-06 11:01:27 PDT
Created attachment 156726 [details]
Patch
Comment 2 WebKit Review Bot 2012-08-06 17:17:55 PDT
Comment on attachment 156726 [details]
Patch

Attachment 156726 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13450251

New failing tests:
http/tests/media/media-source/video-media-source-play.html
http/tests/media/media-source/video-media-source-seek.html
Comment 3 WebKit Review Bot 2012-08-06 17:17:59 PDT
Created attachment 156806 [details]
Archive of layout-test-results from gce-cr-linux-08

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-08  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 4 Anna Cavender 2012-08-06 21:09:45 PDT
Created attachment 156853 [details]
Patch for landing
Comment 5 WebKit Review Bot 2012-08-06 21:42:11 PDT
Comment on attachment 156853 [details]
Patch for landing

Clearing flags on attachment: 156853

Committed r124848: <http://trac.webkit.org/changeset/124848>
Comment 6 WebKit Review Bot 2012-08-06 21:42:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Review Bot 2012-08-06 22:35:02 PDT
Re-opened since this is blocked by 93336
Comment 8 Anna Cavender 2012-08-07 20:36:40 PDT
Created attachment 157098 [details]
fixed a reference error

Let's try that again.  The only difference between this patch and the one that was committed and reverted is removing the adoptRef on the lookupMediaSource() in HTMLMediaElement.
Comment 9 Anna Cavender 2012-08-08 10:17:39 PDT
Created attachment 157244 [details]
Patch for landing
Comment 10 WebKit Review Bot 2012-08-08 11:39:02 PDT
Comment on attachment 157244 [details]
Patch for landing

Clearing flags on attachment: 157244

Committed r125059: <http://trac.webkit.org/changeset/125059>
Comment 11 WebKit Review Bot 2012-08-08 11:39:07 PDT
All reviewed patches have been landed.  Closing bug.